Skip to main content
`Ctrl`+`K`

# SVDView

Prints the `SVD` data structure.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDView(SVD svd,PetscViewer viewer)

Collective

## Input Parameters

- svd - the singular value solver context

- viewer - optional visualization context

## Options Database Key

- -svd_view - calls `SVDView()` at end of `SVDSolve()`

## Notes

The available visualization contexts include

- `PETSC_VIEWER_STDOUT_SELF` - standard output (default)

- `PETSC_VIEWER_STDOUT_WORLD` - synchronized standard output where only the first process opens the file; all other processes send their data to the first one to print

The user can open an alternative visualization context with `PetscViewerASCIIOpen()` to output to a specified file.

## See Also

SVD: Singular Value Decomposition, `SVDCreate()`, `SVDViewFromOptions()`, `EPSView()`

## Level

beginner

## Location

src/svd/interface/svdview.c

## Implementations

SVDView_Cross() in src/svd/impls/cross/cross.c
SVDView_Cyclic() in src/svd/impls/cyclic/cyclic.c
SVDView_KSVD() in src/svd/impls/external/ksvd/svdksvd.c
SVDView_PRIMME() in src/svd/impls/external/primme/svdprimme.c
SVDView_Lanczos() in src/svd/impls/lanczos/gklanczos.c
SVDView_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages